#!/bin/bash

# Does not work as expected:
echo "Test 1: Running using SINGULARITYENV - get ld.so error"
SINGULARITYENV_LD_PRELOAD=${PWD}/\$LIB/preloadlib.so singularity exec ./ubuntu.simg ./bin/hello_world64

echo "----------------"

# Works as expected:
cat <<EOF > ./simpletest.sh
#!/bin/bash

export LD_PRELOAD='${PWD}/\$LIB/preloadlib.so'
./bin/hello_world64
EOF
chmod +x simpletest.sh

echo "Test 2: Running using LD_PRELOAD in container - should get 'Loaded library successfully' message"
singularity exec ./ubuntu.simg ./simpletest.sh
